Results 1 to 7 of 7

Thread: VM Worskstation broken by upgrade to KDE 4.8

  1. #1

    Question VM Worskstation broken by upgrade to KDE 4.8

    Hi!

    I just upgraded my SUSE 11.4 x86_64 laptop from KDE 4.6 to 4.8. VM Workstation now refuses to run. I had 7.1.5 running, but after the upgrade it started throwing dbus errors. I rebuilt Workstation, which went without issue, but still no go. I then upgrade Workstation to 8.02, which installed without issue, but I get the same result. Running "vmware" gives:

    Code:
    vmware
    Logging to /tmp/vmware-john/modconfig-9025.log
    filename:       /lib/modules/2.6.37.6-0.11-desktop/misc/vmmon.ko
    supported:      external
    license:        GPL v2
    description:    VMware Virtual Machine Monitor.
    author:         VMware, Inc.
    srcversion:     312F7029C78C5CF97B530DA
    depends:        
    vermagic:       2.6.37.6-0.11-desktop SMP preempt mod_unload modversions 
    filename:       /lib/modules/2.6.37.6-0.11-desktop/misc/vmnet.ko
    supported:      external
    license:        GPL v2
    description:    VMware Virtual Networking Driver.
    author:         VMware, Inc.
    srcversion:     9666B62DFD594C2A29A22ED
    depends:        
    vermagic:       2.6.37.6-0.11-desktop SMP preempt mod_unload modversions 
    filename:       /lib/modules/2.6.37.6-0.11-desktop/misc/vmblock.ko
    supported:      external
    version:        1.1.2.0
    license:        GPL v2
    description:    VMware Blocking File System
    author:         VMware, Inc.
    srcversion:     24E89B49609F15DC9D881A6
    depends:        
    vermagic:       2.6.37.6-0.11-desktop SMP preempt mod_unload modversions 
    parm:           root:The directory the file system redirects to. (charp)
    filename:       /lib/modules/2.6.37.6-0.11-desktop/misc/vmci.ko
    supported:      external
    license:        GPL v2
    version:        9.1.18.0
    description:    VMware Virtual Machine Communication Interface (VMCI).
    author:         VMware, Inc.
    srcversion:     073553C6C0B25665C1DA40A
    alias:          pci:v000015ADd00000740sv*sd*bc*sc*i*
    depends:        
    vermagic:       2.6.37.6-0.11-desktop SMP preempt mod_unload modversions 
    parm:           disable_host:Disable driver host personality - (default=0) (bool)
    parm:           disable_guest:Disable driver guest personality - (default=0) (bool)
    parm:           disable_msi:Disable MSI use in driver - (default=0) (bool)
    parm:           disable_msix:Disable MSI-X use in driver - (default=0) (bool)
    filename:       /lib/modules/2.6.37.6-0.11-desktop/misc/vsock.ko
    supported:      external
    alias:          vmware_vsock
    license:        GPL v2
    version:        9.1.1.0
    description:    VMware Virtual Socket Family
    author:         VMware, Inc.
    srcversion:     63D4F9452B12D9EA15160C1
    depends:        vmci
    vermagic:       2.6.37.6-0.11-desktop SMP preempt mod_unload modversions 
    filename:       /lib/modules/2.6.37.6-0.11-desktop/misc/vmmon.ko
    supported:      external
    license:        GPL v2
    description:    VMware Virtual Machine Monitor.
    author:         VMware, Inc.
    srcversion:     312F7029C78C5CF97B530DA
    depends:        
    vermagic:       2.6.37.6-0.11-desktop SMP preempt mod_unload modversions 
    process 9020: Attempt to remove filter function 0x7f1a14f2a980 user data 0x7f1a251fd5f0, but no such filter has been added
      D-Bus not built with -rdynamic so unable to print a backtrace
    Aborted
    I would love some suggestions as to how to resolve the problem. Thanks!

    - John

  2. #2
    Join Date
    Jun 2008
    Location
    Delta Quadrant
    Posts
    1,445

    Default Re: VM Worskstation broken by upgrade to KDE 4.8

    Interesting. How did you perform the KDE upgrade?
    I have 11.4 x86_32 with KDE 4.8 and Workstation 8.0.2
    I have not seen that issue. Post you repos. I have
    in the past had different results based on different
    repos. Shouldn't happen but it does.

  3. #3

    Default Re: VM Worskstation broken by upgrade to KDE 4.8

    Thanks for the quick reply?

    The thread describing my upgrade is here. I tend to need help now and then.

    I am at a loss. I've looked back through the packages that were deleted in the process, and they are only qwt and lensfun. I don't see how either of those could be the culprit. I also updated the NVIDIA driver, but again, I don't see how that could be the issue.

    Just for further info, I just tried to launch Workstation from a terminal under gnome, and got the same failure.

  4. #4

    Default Re: VM Worskstation broken by upgrade to KDE 4.8

    As an update, I discovered that if I killed dbus prior to launching vmware, it runs. That was suggested here. Of course, that's kind of a miserable solution, as it makes just a whole bunch of other things not work. Still looking, but I feel like I'm getting closer. Still hopeful for suggestions.

  5. #5

    Default Re: VM Worskstation broken by upgrade to KDE 4.8

    Starting the hal daemon (System -> System Services (Runlevel) -> haldaemon) seems to have resolved the problem. I'm happy about that, but I wish that I hadn't had to spend all day on this. Sigh.

  6. #6
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: VM Worskstation broken by upgrade to KDE 4.8

    On 2012-04-25 23:06, JJMT wrote:
    >
    > Starting the hal daemon (System -> System Services (Runlevel) ->
    > haldaemon) seems to have resolved the problem. I'm happy about that, but
    > I wish that I hadn't had to spend all day on this. Sigh.


    Yes, this has been reported before, you need hal.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  7. #7
    Join Date
    Jun 2008
    Location
    Delta Quadrant
    Posts
    1,445

    Default Re: VM Worskstation broken by upgrade to KDE 4.8

    > Starting the hal daemon (System -> System Services (Runlevel) ->
    > haldaemon) seems to have resolved the problem. I'm happy about that, but
    > I wish that I hadn't had to spend all day on this. Sigh.


    Glad you got it working! Sorry for the late reply, it was a roller coaster
    last week and a half for me. Not sure what is going on in hald world, but
    I've had to do an unusual amount of tinkering with it lately as well.



Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •